Page MenuHomePhabricator

Screen all previously uploaded SVG files for invalid structure
Open, LowestPublic

Description

Author: mail

Description:
I was trying to view the higher definition svg for Windows CE.

The following error message was given:

XML Parsing Error: prefix not bound to a namespace
Location: http://upload.wikimedia.org/wikipedia/commons/6/61/Windows_CE_Timeline.svg
Line Number 111, Column 4: <use xlink:href="#lend4" transform="scale(-2.8333333333333,-2.8333333333333) "/>
------------------------^

Regards

Mike


Version: unspecified
Severity: normal
URL: http://commons.wikimedia.org/wiki/Image:Windows_CE_Timeline.svg

Details

Reference
bz13196

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 10:04 PM
bzimport set Reference to bz13196.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.Feb 29 2008, 6:31 PM

Yep, that's a bad file.

Currently, such files would be prevented from being uploaded. Older files already present have not yet all been screened.

brion added a comment.Feb 29 2008, 6:32 PM

Changed summary to indicate what needs to be done.

brion added a comment.May 6 2009, 10:25 PM

Tossing on fixup tracking bug 16660, though it's not 100% database cleanup :D

brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

Do we even have a script to check the svg files?

I don't think we have an explicit one...

Basically want to go through existing files & do equivalent of an action=purge to verify they come up as valid, then make a list of broken ones that need fixing.

Reedy added a comment.Apr 17 2012, 4:32 PM

Closing as LATER due to lack of script to do this at the moment.

[Removing RESOLVED LATER as discussed in
http://lists.wikimedia.org/pipermail/wikitech-l/2012-November/064240.html .
Reopening and setting priority to "Lowest".
For future reference, please use either RESOLVED WONTFIX (for issues that will
not be fixed), or simply set lowest priority. Thanks a lot!]

tomasz set Security to None.
Meno25 removed a subscriber: Meno25.Jan 17 2017, 4:14 PM
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 6:06 PM